HC128 Struct Reference

HC-128 stream cipher. More...

`#include <hc128.h>`

Inheritance diagram for HC128:

## Public Types

typedef SymmetricCipherFinal< ConcretePolicyHolder< HC128Policy, AdditiveCipherTemplate<> >, HC128Info > | Encryption
typedef Encryption | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from HC128Info
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 16, SimpleKeyingInterface::UNIQUE_IV, 16 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.
Static Public Attributes inherited from FixedKeyLength< 16, SimpleKeyingInterface::UNIQUE_IV, 16 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.

## Detailed Description

HC-128 stream cipher.

HC-128 is a stream cipher developed by Hongjun Wu. HC-128 is one of the final four Profile 1 (software) ciphers selected for the eSTREAM portfolio.

See also
  The eSTREAM Project | HC-128 and Crypto++ Wiki | HC-128.

Since
  Crypto++ 8.0

Definition at line 59 of file hc128.h.

## Member Typedef Documentation

## Encryption

typedef SymmetricCipherFinal<ConcretePolicyHolder<HC128Policy, AdditiveCipherTemplate<> >, HC128Info> HC128::Encryption

Definition at line 61 of file hc128.h.

## Decryption

typedef Encryption HC128::Decryption

Definition at line 62 of file hc128.h.

The documentation for this struct was generated from the following file:

- hc128.h